Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Pin Github Actions Runner to Ubuntu 20 for Py27 #698

Merged
merged 2 commits into from Nov 23, 2022
Merged

Conversation

TimPansino
Copy link
Contributor

Overview

  • The ubuntu-latest tag changed from 20.04 to 22.04, and 22.04 does not provide python 2.7 in the tools cache. This PR pins to the previous runner version for now.
  • setup-python@v3 is emitting deprecation warnings, fixed by upgrading to v4.

Related Github Issue

Related to actions/setup-python#543

@TimPansino TimPansino requested a review from a team as a code owner November 23, 2022 21:43
@github-actions
Copy link

🦙 MegaLinter status: SUCCESS

Descriptor Linter Files Fixed Errors Elapsed time
YAML prettier 2 0 0 0.72s
YAML v8r 2 0 2.97s
YAML yamllint 2 0 0.31s

See errors details in artifact MegaLinter reports on CI Job page
Set VALIDATE_ALL_CODEBASE: true in mega-linter.yml to validate all sources, not only the diff

MegaLinter is graciously provided by OX Security

@TimPansino TimPansino merged commit eb28b52 into main Nov 23, 2022
41 of 43 checks passed
@TimPansino TimPansino deleted the fix-py27-support branch November 23, 2022 22:28
@umaannamalai umaannamalai added this to the v8.5.0 milestone Dec 1, 2022
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

3 participants